version: '3.1'
services:
  app:
    build:
      context: .
      dockerfile: Dockerfile
    restart: always
    volumes:
      - ./cache:/opt/app/data
    networks:
      default:
      hexpm:
        aliases:
          - hexpm_mirror
    environment:
      PORT: "20000"
      PACKAGES: >
        cowboy
        cowboy_telemetry
        cowlib
        decimal
        jason
        mime
        phoenix
        phoenix_html
        phoenix_pubsub
        plug
        plug_cowboy
        plug_crypto
        ranch
        telemetry
        telemetry_metrics
        telemetry_poller
networks:
  hexpm:
    external: true
